import 'dart:async';
import 'package:firebase_core/firebase_core.dart';
import 'package:firebase_messaging/firebase_messaging.dart';
import 'package:flutter/material.dart';


Future<void> onBackgroundMessage(RemoteMessage message) async
{
  await Firebase.initializeApp();
}

class LiveChat
{

  // Examples can assume:
// late BuildContext context;
// void setState(VoidCallback fn) { }
// abstract class RenderFrogJar extends RenderObject { }
// abstract class FrogJar extends RenderObjectWidget { const FrogJar({Key? key}) : super(key: key); }
// abstract class FrogJarParentData extends ParentData { late Size size; }
  ///    build a widget, a [State.setState] call would require Flutter to entirely
  ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  ///    Flutter would be able to efficiently re-render only those parts that
  ///    really need to be updated. Even better, if the created widget is `const`,
  ///    Flutter would short-circuit most of the rebuild work.
  ///
  ///  * Avoid changing the depth of any created subtrees or changing the type of
  ///    any widgets in the subtree. For example, rather than returning either the
  ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  ///    property. This is because changing the depth of the subtree requires
  ///    rebuilding, laying out, and painting the entire subtree, whereas just
  ///    changing the property will require the least possible change to the
  ///    render tree (in the case of [IgnorePointer], for example, no layout or
  ///    repaint is necessary at all).
  ///
  ///  * If the depth must be changed for some reason, consider wrapping the
  ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  ///    remains consistent for the life of the stateful widget. (The
  ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  ///    can conveniently be assigned the key.)
  ///
  /// {@tool snippet}
  ///
  /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  ///
  /// In this example. the [State] has no actual state. State is normally
  /// represented as private member fields. Also, normally widgets have more
  /// constructor arguments, each of which corresponds to a `final` property.
  ///
  /// ```dart
  /// class YellowBird extends StatefulWidget {
  ///   const YellowBird({ Key? key }) : super(key: key);
  ///
  ///   @override
  ///   State<YellowBird> createState() => _YellowBirdState();
  /// }
  ///
  /// class _YellowBirdState extends State<YellowBird> {
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(color: const Color(0xFFFFE306));
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  /// {@tool snippet}
  ///
  /// This example shows the more generic widget `Bird` which can be given a
  /// color and a child, and which has some internal state with a method that
  /// can be called to mutate it:
  ///
  /// ```dart
  /// class Bird extends StatefulWidget {
  ///   const Bird({
  ///     Key? key,
  ///     this.color = const Color(0xFFFFE306),
  ///     this.child,
  ///   }) : super(key: key);
  ///
  ///   final Color color;
  ///   final Widget? child;
  ///
  ///   @override
  ///   State<Bird> createState() => _BirdState();
  /// }
  ///
  /// class _BirdState extends State<Bird> {
  ///   double _size = 1.0;
  ///
  ///   void grow() {
  ///     setState(() { _size += 0.1; });
  ///   }
  ///
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(
  ///       color: widget.color,
  ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  ///       child: widget.child,
  ///     );
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  ///
  /// By convention, widget constructors only use named arguments. Also by
  /// convention, the first argument is [key], and the last argument is `child`,
  /// `children`, or the equivalent.
  ///
  /// See also:
  ///
  ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
// An annotation used by test_analysis package to verify patterns are followed
// that allow for tree-shaking of both fields and their initializers. This
// annotation has no impact on code by itself, but indicates the following pattern
// should be followed for a given field:
//
// ```dart
// class Foo {
//   final bar = kDebugMode ? Object() : null;
// }
// ```

  searchTextField() {
    return Padding(
      padding: const EdgeInsets.only(left: 20.0, right: 20.0),
      child: Container(
        height: 56,
        decoration: BoxDecoration(
            color: const Color(0xff6A6A79),
            borderRadius: BorderRadius.circular(28)),
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              padding: const EdgeInsets.only(left: 16.0, right: 8),
              child: Image.asset('assets/images/searchcolor.png', height: 18,color: Colors.white,),
            ),
               ],
        ),
      ),
    );
  }

  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.

  searchTypeView(){
    return Padding(
      padding: const EdgeInsets.only(top: 16.0,left: 20, right: 20.0),
      child: Container(
        color: Colors.black,
        child: Padding(
          padding: const EdgeInsets.only(bottom: 8.0),
          child: Row(
            children: [
              Container(
                height: 32,
                padding: const EdgeInsets.fromLTRB(12,8,12,8),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(16)
                ),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    Image.asset('assets/images/menu.png', height: 13,),
                    SizedBox(
                      width: 4,
                    ),
                    const Text('Posts',style: TextStyle(color: Colors.black, fontSize: 13, fontWeight: FontWeight.bold),)
                  ],
                ),
              ),
              SizedBox(
                width: 8,
              ),
              Container(
                height: 32,
                padding: const EdgeInsets.fromLTRB(12,8,12,8),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(16)
                ),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    Image.asset('assets/images/gallerys.png', height: 12,),
                    const SizedBox(
                      width: 4,
                    ),
                    const Text('Photos',style: TextStyle(color: Colors.black, fontSize: 12, fontWeight: FontWeight.bold),)
                  ],
                ),
              ),
              SizedBox(
                width: 8,
              ),
              Container(
                height: 32,
                padding: const EdgeInsets.fromLTRB(12,8,12,8),
                decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(16)
                ),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    Image.asset('assets/images/friends.png', height: 12,),
                    const SizedBox(
                      width: 4,
                    ),
                    const Text('Friends',style: TextStyle(color: Colors.black, fontSize: 12, fontWeight: FontWeight.bold),)
                  ],
                ),
              )
            ],
          ),
        ),
      ),
    );
  }

  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///
  ///
  ///

  lastSearchListView(){
    return Expanded(
      child: ListView.builder(
          itemCount: 10,
          padding: const EdgeInsets.only(top: 16, bottom: 16, right: 20, left: 20),
          itemBuilder: (context, position) {
            return  ListTile(
              contentPadding: const EdgeInsets.all(0),
              dense: true,
              onTap: (){

              },
              title: Text(
                'Search $position',
                style: const TextStyle(
                    fontSize: 17, fontWeight: FontWeight.w600),
              ),
              trailing: IconButton(onPressed: (){}, icon: Icon(Icons.close, color: Color(0xff6A6A79),)),
            );
          }),
    );
  }
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    build a widget, a [State.setState] call would require Flutter to entirely
  ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  ///    Flutter would be able to efficiently re-render only those parts that
  ///    really need to be updated. Even better, if the created widget is `const`,
  ///    Flutter would short-circuit most of the rebuild work.
  ///
  ///  * Avoid changing the depth of any created subtrees or changing the type of
  ///    any widgets in the subtree. For example, rather than returning either the
  ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  ///    property. This is because changing the depth of the subtree requires
  ///    rebuilding, laying out, and painting the entire subtree, whereas just
  ///    changing the property will require the least possible change to the
  ///    render tree (in the case of [IgnorePointer], for example, no layout or
  ///    repaint is necessary at all).
  ///
  ///  * If the depth must be changed for some reason, consider wrapping the
  ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  ///    remains consistent for the life of the stateful widget. (The
  ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  ///    can conveniently be assigned the key.)
  ///
  /// {@tool snippet}
  ///
  /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  ///
  /// In this example. the [State] has no actual state. State is normally
  /// represented as private member fields. Also, normally widgets have more
  /// constructor arguments, each of which corresponds to a `final` property.
  ///
  /// ```dart
  /// class YellowBird extends StatefulWidget {
  ///   const YellowBird({ Key? key }) : super(key: key);
  ///
  ///   @override
  ///   State<YellowBird> createState() => _YellowBirdState();
  /// }
  ///
  /// class _YellowBirdState extends State<YellowBird> {
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(color: const Color(0xFFFFE306));
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  /// {@tool snippet}
  ///
  /// This example shows the more generic widget `Bird` which can be given a
  /// color and a child, and which has some internal state with a method that
  /// can be called to mutate it:
  ///
  /// ```dart
  /// class Bird extends StatefulWidget {
  ///   const Bird({
  ///     Key? key,
  ///     this.color = const Color(0xFFFFE306),
  ///     this.child,
  ///   }) : super(key: key);
  ///
  ///   final Color color;
  ///   final Widget? child;
  ///
  ///   @override
  ///   State<Bird> createState() => _BirdState();
  /// }
  ///
  /// class _BirdState extends State<Bird> {
  ///   double _size = 1.0;
  ///
  ///   void grow() {
  ///     setState(() { _size += 0.1; });
  ///   }
  ///
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(
  ///       color: widget.color,
  ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  ///       child: widget.child,
  ///     );
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  ///
  /// By convention, widget constructors only use named arguments. Also by
  /// convention, the first argument is [key], and the last argument is `child`,
  /// `children`, or the equivalent.
  ///
  /// See also:
  ///
  ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.

  postList(){

    return Expanded(
      child: ListView.builder(
          itemCount: 7,
          padding: EdgeInsets.all(0),
          itemBuilder: (context, position){
           return Container(height: 0,);
           }
          ),
    );
  }
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  /// ///    build a widget, a [State.setState] call would require Flutter to entirely
  // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  // ///    Flutter would be able to efficiently re-render only those parts that
  // ///    really need to be updated. Even better, if the created widget is `const`,
  // ///    Flutter would short-circuit most of the rebuild work.
  // ///
  // ///  * Avoid changing the depth of any created subtrees or changing the type of
  // ///    any widgets in the subtree. For example, rather than returning either the
  // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  // ///    property. This is because changing the depth of the subtree requires
  // ///    rebuilding, laying out, and painting the entire subtree, whereas just
  // ///    changing the property will require the least possible change to the
  // ///    render tree (in the case of [IgnorePointer], for example, no layout or
  // ///    repaint is necessary at all).
  // ///
  // ///  * If the depth must be changed for some reason, consider wrapping the
  // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  // ///    remains consistent for the life of the stateful widget. (The
  // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  // ///    can conveniently be assigned the key.)
  // ///
  // /// {@tool snippet}
  // ///
  // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  // ///
  // /// In this example. the [State] has no actual state. State is normally
  // /// represented as private member fields. Also, normally widgets have more
  // /// constructor arguments, each of which corresponds to a `final` property.
  // ///
  // /// ```dart
  // /// class YellowBird extends StatefulWidget {
  // ///   const YellowBird({ Key? key }) : super(key: key);
  // ///
  // ///   @override
  // ///   State<YellowBird> createState() => _YellowBirdState();
  // /// }
  // ///
  // /// class _YellowBirdState extends State<YellowBird> {
  // ///   @override
  // ///   Widget build(BuildContext context) {
  // ///     return Container(color: const Color(0xFFFFE306));
  // ///   }
  // /// }
  // /// ```
  // /// {@end-tool}
  // /// {@tool snippet}
  // ///
  // /// This example shows the more generic widget `Bird` which can be given a
  // /// color and a child, and which has some internal state with a method that
  // /// can be called to mutate it:
  // ///
  // /// ```dart
  // /// class Bird extends StatefulWidget {
  // ///   const Bird({
  // ///     Key? key,
  // ///     this.color = const Color(0xFFFFE306),
  // ///     this.child,
  // ///   }) : super(key: key);
  // ///
  // ///   final Color color;
  // ///   final Widget? child;
  // ///
  // ///   @override
  // ///   State<Bird> createState() => _BirdState();
  // /// }
  // ///
  // /// class _BirdState extends State<Bird> {
  // ///   double _size = 1.0;
  // ///
  // ///   void grow() {
  // ///     setState(() { _size += 0.1; });
  // ///   }
  // ///
  // ///   @override
  // ///   Widget build(BuildContext context) {
  // ///     return Container(
  // ///       color: widget.color,
  // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  // ///       child: widget.child,
  // ///     );
  // ///   }
  // /// }
  // /// ```
  // /// {@end-tool}
  // ///
  // /// By convention, widget constructors only use named arguments. Also by
  // /// convention, the first argument is [key], and the last argument is `child`,
  // /// `children`, or the equivalent.
  // ///
  // /// See also:
  // ///
  // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.vv
  ///
  /// /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.

  ///
  ///


  historyList(){
    print("history list ${7}");
    return Expanded(
      child: ListView.builder(
          itemCount: 77,
          padding: EdgeInsets.all(1),
          itemBuilder: (context, position){
            return Padding(
              padding: const EdgeInsets.only(top: 2,bottom: 15,left: 20,right: 15),
              child: Row(
                children: [
                  Expanded(
                    child: GestureDetector(
                      onTap: () async {

                      },

                    ),
                  ),
                  InkWell(
                    onTap: ()
                    {
                    },
                    child: Container(
                      height: 20,
                      width: 40,
                      child: Center(
                        child: Text("X",style: TextStyle(
                          fontSize: 15,
                          fontWeight: FontWeight.w700,
                          color: Colors.white54,
                        ),),
                      ),
                    ),
                  ),
                ],
              ),
            );

          }),
    );
  }
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  ///    build a widget, a [State.setState] call would require Flutter to entirely
  ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  ///    Flutter would be able to efficiently re-render only those parts that
  ///    really need to be updated. Even better, if the created widget is `const`,
  ///    Flutter would short-circuit most of the rebuild work.
  ///
  ///  * Avoid changing the depth of any created subtrees or changing the type of
  ///    any widgets in the subtree. For example, rather than returning either the
  ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  ///    property. This is because changing the depth of the subtree requires
  ///    rebuilding, laying out, and painting the entire subtree, whereas just
  ///    changing the property will require the least possible change to the
  ///    render tree (in the case of [IgnorePointer], for example, no layout or
  ///    repaint is necessary at all).
  ///
  ///  * If the depth must be changed for some reason, consider wrapping the
  ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  ///    remains consistent for the life of the stateful widget. (The
  ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  ///    can conveniently be assigned the key.)
  ///
  /// {@tool snippet}
  ///
  /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  ///
  /// In this example. the [State] has no actual state. State is normally
  /// represented as private member fields. Also, normally widgets have more
  /// constructor arguments, each of which corresponds to a `final` property.
  ///
  /// ```dart
  /// class YellowBird extends StatefulWidget {
  ///   const YellowBird({ Key? key }) : super(key: key);
  ///
  ///   @override
  ///   State<YellowBird> createState() => _YellowBirdState();
  /// }
  ///
  /// class _YellowBirdState extends State<YellowBird> {
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(color: const Color(0xFFFFE306));
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  /// {@tool snippet}
  ///
  /// This example shows the more generic widget `Bird` which can be given a
  /// color and a child, and which has some internal state with a method that
  /// can be called to mutate it:
  ///
  /// ```dart
  /// class Bird extends StatefulWidget {
  ///   const Bird({
  ///     Key? key,
  ///     this.color = const Color(0xFFFFE306),
  ///     this.child,
  ///   }) : super(key: key);
  ///
  ///   final Color color;
  ///   final Widget? child;
  ///
  ///   @override
  ///   State<Bird> createState() => _BirdState();
  /// }
  ///
  /// class _BirdState extends State<Bird> {
  ///   double _size = 1.0;
  ///
  ///   void grow() {
  ///     setState(() { _size += 0.1; });
  ///   }
  ///
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(
  ///       color: widget.color,
  ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  ///       child: widget.child,
  ///     );
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  ///
  /// By convention, widget constructors only use named arguments. Also by
  /// convention, the first argument is [key], and the last argument is `child`,
  /// `children`, or the equivalent.
  ///
  /// See also:
  ///
  ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  ///    build a widget, a [State.setState] call would require Flutter to entirely
  ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  ///    Flutter would be able to efficiently re-render only those parts that
  ///    really need to be updated. Even better, if the created widget is `const`,
  ///    Flutter would short-circuit most of the rebuild work.
  ///
  ///  * Avoid changing the depth of any created subtrees or changing the type of
  ///    any widgets in the subtree. For example, rather than returning either the
  ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  ///    property. This is because changing the depth of the subtree requires
  ///    rebuilding, laying out, and painting the entire subtree, whereas just
  ///    changing the property will require the least possible change to the
  ///    render tree (in the case of [IgnorePointer], for example, no layout or
  ///    repaint is necessary at all).
  ///
  ///  * If the depth must be changed for some reason, consider wrapping the
  ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  ///    remains consistent for the life of the stateful widget. (The
  ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  ///    can conveniently be assigned the key.)
  ///
  /// {@tool snippet}
  ///
  /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  ///
  /// In this example. the [State] has no actual state. State is normally
  /// represented as private member fields. Also, normally widgets have more
  /// constructor arguments, each of which corresponds to a `final` property.
  ///
  /// ```dart
  /// class YellowBird extends StatefulWidget {
  ///   const YellowBird({ Key? key }) : super(key: key);
  ///
  ///   @override
  ///   State<YellowBird> createState() => _YellowBirdState();
  /// }
  ///
  /// class _YellowBirdState extends State<YellowBird> {
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(color: const Color(0xFFFFE306));
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  /// {@tool snippet}
  ///
  /// This example shows the more generic widget `Bird` which can be given a
  /// color and a child, and which has some internal state with a method that
  /// can be called to mutate it:
  ///
  /// ```dart
  /// class Bird extends StatefulWidget {
  ///   const Bird({
  ///     Key? key,
  ///     this.color = const Color(0xFFFFE306),
  ///     this.child,
  ///   }) : super(key: key);
  ///
  ///   final Color color;
  ///   final Widget? child;
  ///
  ///   @override
  ///   State<Bird> createState() => _BirdState();
  /// }
  ///
  /// class _BirdState extends State<Bird> {
  ///   double _size = 1.0;
  ///
  ///   void grow() {
  ///     setState(() { _size += 0.1; });
  ///   }
  ///
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(
  ///       color: widget.color,
  ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  ///       child: widget.child,
  ///     );
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  ///
  /// By convention, widget constructors only use named arguments. Also by
  /// convention, the first argument is [key], and the last argument is `child`,
  /// `children`, or the equivalent.
  ///
  /// See also:
  ///
  ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///
  ///
  ///

  setPostString() async{
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    FirebaseMessaging.onBackgroundMessage(onBackgroundMessage);
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    FirebaseMessaging.onMessage.listen((message) async {
      print("${message.data['type']}");
    });
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.
    ///    build a widget, a [State.setState] call would require Flutter to entirely
    ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    ///    Flutter would be able to efficiently re-render only those parts that
    ///    really need to be updated. Even better, if the created widget is `const`,
    ///    Flutter would short-circuit most of the rebuild work.
    ///
    ///  * Avoid changing the depth of any created subtrees or changing the type of
    ///    any widgets in the subtree. For example, rather than returning either the
    ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    ///    property. This is because changing the depth of the subtree requires
    ///    rebuilding, laying out, and painting the entire subtree, whereas just
    ///    changing the property will require the least possible change to the
    ///    render tree (in the case of [IgnorePointer], for example, no layout or
    ///    repaint is necessary at all).
    ///
    ///  * If the depth must be changed for some reason, consider wrapping the
    ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    ///    remains consistent for the life of the stateful widget. (The
    ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    ///    can conveniently be assigned the key.)
    ///
    /// {@tool snippet}
    ///
    /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    ///
    /// In this example. the [State] has no actual state. State is normally
    /// represented as private member fields. Also, normally widgets have more
    /// constructor arguments, each of which corresponds to a `final` property.
    ///
    /// ```dart
    /// class YellowBird extends StatefulWidget {
    ///   const YellowBird({ Key? key }) : super(key: key);
    ///
    ///   @override
    ///   State<YellowBird> createState() => _YellowBirdState();
    /// }
    ///
    /// class _YellowBirdState extends State<YellowBird> {
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(color: const Color(0xFFFFE306));
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    /// {@tool snippet}
    ///
    /// This example shows the more generic widget `Bird` which can be given a
    /// color and a child, and which has some internal state with a method that
    /// can be called to mutate it:
    ///
    /// ```dart
    /// class Bird extends StatefulWidget {
    ///   const Bird({
    ///     Key? key,
    ///     this.color = const Color(0xFFFFE306),
    ///     this.child,
    ///   }) : super(key: key);
    ///
    ///   final Color color;
    ///   final Widget? child;
    ///
    ///   @override
    ///   State<Bird> createState() => _BirdState();
    /// }
    ///
    /// class _BirdState extends State<Bird> {
    ///   double _size = 1.0;
    ///
    ///   void grow() {
    ///     setState(() { _size += 0.1; });
    ///   }
    ///
    ///   @override
    ///   Widget build(BuildContext context) {
    ///     return Container(
    ///       color: widget.color,
    ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    ///       child: widget.child,
    ///     );
    ///   }
    /// }
    /// ```
    /// {@end-tool}
    ///
    /// By convention, widget constructors only use named arguments. Also by
    /// convention, the first argument is [key], and the last argument is `child`,
    /// `children`, or the equivalent.
    ///
    /// See also:
    ///
    ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    ///  * [StatelessWidget], for widgets that always build the same way given a
    ///    particular configuration and ambient state.
    ///  * [InheritedWidget], for widgets that introduce ambient state that can
    ///    be read by descendant widgets.
    ///    ///    build a widget, a [State.setState] call would require Flutter to entirely
    // ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
    // ///    Flutter would be able to efficiently re-render only those parts that
    // ///    really need to be updated. Even better, if the created widget is `const`,
    // ///    Flutter would short-circuit most of the rebuild work.
    // ///
    // ///  * Avoid changing the depth of any created subtrees or changing the type of
    // ///    any widgets in the subtree. For example, rather than returning either the
    // ///    child or the child wrapped in an [IgnorePointer], always wrap the child
    // ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
    // ///    property. This is because changing the depth of the subtree requires
    // ///    rebuilding, laying out, and painting the entire subtree, whereas just
    // ///    changing the property will require the least possible change to the
    // ///    render tree (in the case of [IgnorePointer], for example, no layout or
    // ///    repaint is necessary at all).
    // ///
    // ///  * If the depth must be changed for some reason, consider wrapping the
    // ///    common parts of the subtrees in widgets that have a [GlobalKey] that
    // ///    remains consistent for the life of the stateful widget. (The
    // ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
    // ///    can conveniently be assigned the key.)
    // ///
    // /// {@tool snippet}
    // ///
    // /// This is a skeleton of a stateful widget subclass called `YellowBird`.
    // ///
    // /// In this example. the [State] has no actual state. State is normally
    // /// represented as private member fields. Also, normally widgets have more
    // /// constructor arguments, each of which corresponds to a `final` property.
    // ///
    // /// ```dart
    // /// class YellowBird extends StatefulWidget {
    // ///   const YellowBird({ Key? key }) : super(key: key);
    // ///
    // ///   @override
    // ///   State<YellowBird> createState() => _YellowBirdState();
    // /// }
    // ///
    // /// class _YellowBirdState extends State<YellowBird> {
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(color: const Color(0xFFFFE306));
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // /// {@tool snippet}
    // ///
    // /// This example shows the more generic widget `Bird` which can be given a
    // /// color and a child, and which has some internal state with a method that
    // /// can be called to mutate it:
    // ///
    // /// ```dart
    // /// class Bird extends StatefulWidget {
    // ///   const Bird({
    // ///     Key? key,
    // ///     this.color = const Color(0xFFFFE306),
    // ///     this.child,
    // ///   }) : super(key: key);
    // ///
    // ///   final Color color;
    // ///   final Widget? child;
    // ///
    // ///   @override
    // ///   State<Bird> createState() => _BirdState();
    // /// }
    // ///
    // /// class _BirdState extends State<Bird> {
    // ///   double _size = 1.0;
    // ///
    // ///   void grow() {
    // ///     setState(() { _size += 0.1; });
    // ///   }
    // ///
    // ///   @override
    // ///   Widget build(BuildContext context) {
    // ///     return Container(
    // ///       color: widget.color,
    // ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
    // ///       child: widget.child,
    // ///     );
    // ///   }
    // /// }
    // /// ```
    // /// {@end-tool}
    // ///
    // /// By convention, widget constructors only use named arguments. Also by
    // /// convention, the first argument is [key], and the last argument is `child`,
    // /// `children`, or the equivalent.
    // ///
    // /// See also:
    // ///
    // ///  * [State], where the logic behind a [StatefulWidget] is hosted.
    // ///  * [StatelessWidget], for widgets that always build the same way given a
    // ///    particular configuration and ambient state.
    // ///  * [InheritedWidget], for widgets that introduce ambient state that can
    // ///    be read by descendant widgets.


  }

  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  ///    build a widget, a [State.setState] call would require Flutter to entirely
  ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
  ///    Flutter would be able to efficiently re-render only those parts that
  ///    really need to be updated. Even better, if the created widget is `const`,
  ///    Flutter would short-circuit most of the rebuild work.
  ///
  ///  * Avoid changing the depth of any created subtrees or changing the type of
  ///    any widgets in the subtree. For example, rather than returning either the
  ///    child or the child wrapped in an [IgnorePointer], always wrap the child
  ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
  ///    property. This is because changing the depth of the subtree requires
  ///    rebuilding, laying out, and painting the entire subtree, whereas just
  ///    changing the property will require the least possible change to the
  ///    render tree (in the case of [IgnorePointer], for example, no layout or
  ///    repaint is necessary at all).
  ///
  ///  * If the depth must be changed for some reason, consider wrapping the
  ///    common parts of the subtrees in widgets that have a [GlobalKey] that
  ///    remains consistent for the life of the stateful widget. (The
  ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
  ///    can conveniently be assigned the key.)
  ///
  /// {@tool snippet}
  ///
  /// This is a skeleton of a stateful widget subclass called `YellowBird`.
  ///
  /// In this example. the [State] has no actual state. State is normally
  /// represented as private member fields. Also, normally widgets have more
  /// constructor arguments, each of which corresponds to a `final` property.
  ///
  /// ```dart
  /// class YellowBird extends StatefulWidget {
  ///   const YellowBird({ Key? key }) : super(key: key);
  ///
  ///   @override
  ///   State<YellowBird> createState() => _YellowBirdState();
  /// }
  ///
  /// class _YellowBirdState extends State<YellowBird> {
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(color: const Color(0xFFFFE306));
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  /// {@tool snippet}
  ///
  /// This example shows the more generic widget `Bird` which can be given a
  /// color and a child, and which has some internal state with a method that
  /// can be called to mutate it:
  ///
  /// ```dart
  /// class Bird extends StatefulWidget {
  ///   const Bird({
  ///     Key? key,
  ///     this.color = const Color(0xFFFFE306),
  ///     this.child,
  ///   }) : super(key: key);
  ///
  ///   final Color color;
  ///   final Widget? child;
  ///
  ///   @override
  ///   State<Bird> createState() => _BirdState();
  /// }
  ///
  /// class _BirdState extends State<Bird> {
  ///   double _size = 1.0;
  ///
  ///   void grow() {
  ///     setState(() { _size += 0.1; });
  ///   }
  ///
  ///   @override
  ///   Widget build(BuildContext context) {
  ///     return Container(
  ///       color: widget.color,
  ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
  ///       child: widget.child,
  ///     );
  ///   }
  /// }
  /// ```
  /// {@end-tool}
  ///
  /// By convention, widget constructors only use named arguments. Also by
  /// convention, the first argument is [key], and the last argument is `child`,
  /// `children`, or the equivalent.
  ///
  /// See also:
  ///
  ///  * [State], where the logic behind a [StatefulWidget] is hosted.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state./// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.
  /// Widgets themselves have no mutable state (all their fields must be final).
  /// If you wish to associate mutable state with a widget, consider using a
  /// [StatefulWidget], which creates a [State] object (via
  /// [StatefulWidget.createState]) whenever it is inflated into an element and
  /// incorporated into the tree.
  ///
  /// A given widget can be included in the tree zero or more times. In particular
  /// a given widget can be placed in the tree multiple times. Each time a widget
  /// is placed in the tree, it is inflated into an [Element], which means a
  /// widget that is incorporated into the tree multiple times will be inflated
  /// multiple times.
  ///
  /// The [key] property controls how one widget replaces another widget in the
  /// tree. If the [runtimeType] and [key] properties of the two widgets are
  /// [operator==], respectively, then the new widget replaces the old widget by
  /// updating the underlying element (i.e., by calling [Element.update] with the
  /// new widget). Otherwise, the old element is removed from the tree, the new
  /// widget is inflated into an element, and the new element is inserted into the
  /// tree.
  ///
  /// See also:
  ///
  ///  * [StatefulWidget] and [State], for widgets that can build differently
  ///    several times over their lifetime.
  ///  * [InheritedWidget], for widgets that introduce ambient state that can
  ///    be read by descendant widgets.
  ///  * [StatelessWidget], for widgets that always build the same way given a
  ///    particular configuration and ambient state.
  ///    /// Widgets themselves have no mutable state (all their fields must be final).
  // /// If you wish to associate mutable state with a widget, consider using a
  // /// [StatefulWidget], which creates a [State] object (via
  // /// [StatefulWidget.createState]) whenever it is inflated into an element and
  // /// incorporated into the tree.
  // ///
  // /// A given widget can be included in the tree zero or more times. In particular
  // /// a given widget can be placed in the tree multiple times. Each time a widget
  // /// is placed in the tree, it is inflated into an [Element], which means a
  // /// widget that is incorporated into the tree multiple times will be inflated
  // /// multiple times.
  // ///
  // /// The [key] property controls how one widget replaces another widget in the
  // /// tree. If the [runtimeType] and [key] properties of the two widgets are
  // /// [operator==], respectively, then the new widget replaces the old widget by
  // /// updating the underlying element (i.e., by calling [Element.update] with the
  // /// new widget). Otherwise, the old element is removed from the tree, the new
  // /// widget is inflated into an element, and the new element is inserted into the
  // /// tree.
  // ///
  // /// See also:
  // ///
  // ///  * [StatefulWidget] and [State], for widgets that can build differently
  // ///    several times over their lifetime.
  // ///  * [InheritedWidget], for widgets that introduce ambient state that can
  // ///    be read by descendant widgets.
  // ///  * [StatelessWidget], for widgets that always build the same way given a
  // ///    particular configuration and ambient state.








  profileView() {
    return Padding(
      padding: const EdgeInsets.only(left: 20, right: 20),
      child: Row(
        children: [
          GestureDetector(
            onTap: () {

            },
          ),
          const SizedBox(
            width: 10,
          ),
          Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Row(
                children: [

                ],
              ),
              Padding(
                padding: const EdgeInsets.only(top: 2.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Row(
                      children: [
                        Image.asset(
                          'assets/images/pin.png',
                          height: 16,
                        ),
                        const SizedBox(
                          width: 4,
                        ),
                        Container(
                          width:  2,
                          child: Text(
                            '}',
                            style: TextStyle(fontSize: 12),
                          ),
                        ),
                      ],
                    ),
                    const SizedBox(
                      height: 6,
                    ),
                    Row(
                      children: [
                        Image.asset(
                          'assets/images/book.png',
                          height: 16,
                        ),
                        SizedBox(
                          width: 4,
                        ),
                        Text(
                          '',
                          style: TextStyle(fontSize: 12),
                        ),
                      ],
                    ),
                    const SizedBox(
                      height: 6,
                    ),
                    Row(
                      children: [
                        Image.asset(
                          'assets/images/mpin.png',
                          height: 16,
                        ),
                        SizedBox(
                          width: 4,
                        ),

                      ],
                    )
                  ],
                ),
              )
            ],
          )
        ],
      )
          ,
    );
  }

  editProfileButton() {
      return Padding(
        padding: const EdgeInsets.only(top: 16.0, left: 20, right: 20),
        child: SizedBox(
          width:  40,
          height: 30,
          child: ElevatedButton(
              style: ButtonStyle(
                  backgroundColor: MaterialStateProperty.all(Colors.black),
                  shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                      RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(25.0),
                          side: const BorderSide(color: Colors.white)))),
              onPressed: () {
                   },
              child: const Text(
                'Edit Profile',
                style: TextStyle(
                    fontSize: 13,
                    fontWeight: FontWeight.w600,
                    fontFamily: 'assets/fonts/Heavy.otf',
                    color: Colors.white),
              )),
        ),
      );
  }
  postdata() {

      return Padding(
        padding: const EdgeInsets.only(top: 100.0),
        child: const Text(
          'Nothing to display yet!',
          style: TextStyle(
              color: Colors.white, fontSize: 20, fontWeight: FontWeight.w700),
        ),
      );
    }
/// Widgets themselves have no mutable state (all their fields must be final).
/// If you wish to associate mutable state with a widget, consider using a
/// [StatefulWidget], which creates a [State] object (via
/// [StatefulWidget.createState]) whenever it is inflated into an element and
/// incorporated into the tree.
///
/// A given widget can be included in the tree zero or more times. In particular
/// a given widget can be placed in the tree multiple times. Each time a widget
/// is placed in the tree, it is inflated into an [Element], which means a
/// widget that is incorporated into the tree multiple times will be inflated
/// multiple times.
///
/// The [key] property controls how one widget replaces another widget in the
/// tree. If the [runtimeType] and [key] properties of the two widgets are
/// ///    build a widget, a [State.setState] call would require Flutter to entirely
// ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
// ///    Flutter would be able to efficiently re-render only those parts that
// ///    really need to be updated. Even better, if the created widget is `const`,
// ///    Flutter would short-circuit most of the rebuild work.
// ///
// ///  * Avoid changing the depth of any created subtrees or changing the type of
// ///    any widgets in the subtree. For example, rather than returning either the
// ///    child or the child wrapped in an [IgnorePointer], always wrap the child
// ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
// ///    property. This is because changing the depth of the subtree requires
// ///    rebuilding, laying out, and painting the entire subtree, whereas just
// ///    changing the property will require the least possible change to the
// ///    render tree (in the case of [IgnorePointer], for example, no layout or
// ///    repaint is necessary at all).
// ///
// ///  * If the depth must be changed for some reason, consider wrapping the
// ///    common parts of the subtrees in widgets that have a [GlobalKey] that
// ///    remains consistent for the life of the stateful widget. (The
// ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
// ///    can conveniently be assigned the key.)
// ///
// /// {@tool snippet}
// ///
// /// This is a skeleton of a stateful widget subclass called `YellowBird`.
// ///
// /// In this example. the [State] has no actual state. State is normally
// /// represented as private member fields. Also, normally widgets have more
// /// constructor arguments, each of which corresponds to a `final` property.
// ///
// /// ```dart
// /// class YellowBird extends StatefulWidget {
// ///   const YellowBird({ Key? key }) : super(key: key);
// ///
// ///   @override
// ///   State<YellowBird> createState() => _YellowBirdState();
// /// }
// ///
// /// class _YellowBirdState extends State<YellowBird> {
// ///   @override
// ///   Widget build(BuildContext context) {
// ///     return Container(color: const Color(0xFFFFE306));
// ///   }
// /// }
// /// ```
// /// {@end-tool}
// /// {@tool snippet}
// ///
// /// This example shows the more generic widget `Bird` which can be given a
// /// color and a child, and which has some internal state with a method that
// /// can be called to mutate it:
// ///
// /// ```dart
// /// class Bird extends StatefulWidget {
// ///   const Bird({
// ///     Key? key,
// ///     this.color = const Color(0xFFFFE306),
// ///     this.child,
// ///   }) : super(key: key);
// ///
// ///   final Color color;
// ///   final Widget? child;
// ///
// ///   @override
// ///   State<Bird> createState() => _BirdState();
// /// }
// ///
// /// class _BirdState extends State<Bird> {
// ///   double _size = 1.0;
// ///
// ///   void grow() {
// ///     setState(() { _size += 0.1; });
// ///   }
// ///
// ///   @override
// ///   Widget build(BuildContext context) {
// ///     return Container(
// ///       color: widget.color,
// ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
// ///       child: widget.child,
// ///     );
// ///   }
// /// }
// /// ```
// /// {@end-tool}
// ///
// /// By convention, widget constructors only use named arguments. Also by
// /// convention, the first argument is [key], and the last argument is `child`,
// /// `children`, or the equivalent.
// ///
// /// See also:
// ///
// ///  * [State], where the logic behind a [StatefulWidget] is hosted.
// ///  * [StatelessWidget], for widgets that always build the same way given a
// ///    particular configuration and ambient state.
// ///  * [InheritedWidget], for widgets that introduce ambient state that can
// ///    be read by descendant widgets.
/// [operator==], respectively, then the new widget replaces the old widget by
/// updating the underlying element (i.e., by calling [Element.update] with the
/// new widget). Otherwise, the old element is removed from the tree, the new
/// widget is inflated into an element, and the new element is inserted into the
/// tree.
///
/// See also:
///
///  * [StatefulWidget] and [State], for widgets that can build differently
///    several times over their lifetime.
///  * [InheritedWidget], for widgets that introduce ambient state that can
///    be read by descendant widgets.
///  * [StatelessWidget], for widgets that always build the same way given a
///    particular configuration and ambient state.
///    /// Widgets themselves have no mutable state (all their fields must be final).
// /// If you wish to associate mutable state with a widget, consider using a
// /// [StatefulWidget], which creates a [State] object (via
// /// [StatefulWidget.createState]) whenever it is inflated into an element and
// /// incorporated into the tree.
// ///
// /// A given widget can be included in the tree zero or more times. In particular
// /// a given widget can be placed in the tree multiple times. Each time a widget
// /// is placed in the tree, it is inflated into an [Element], which means a
// /// widget that is incorporated into the tree multiple times will be inflated
// /// multiple times.
// ///
// /// The [key] property controls how one widget replaces another widget in the
// /// tree. If the [runtimeType] and [key] properties of the two widgets are
// /// [operator==], respectively, then the new widget replaces the old widget by
// /// updating the underlying element (i.e., by calling [Element.update] with the
// /// new widget). Otherwise, the old element is removed from the tree, the new
// /// widget is inflated into an element, and the new element is inserted into the
// /// tree.
// ///
// /// See also:
// ///
// ///  * [StatefulWidget] and [State], for widgets that can build differently
// ///    several times over their lifetime.
// ///  * [InheritedWidget], for widgets that introduce ambient state that can
// ///    be read by descendant widgets.
// ///  * [StatelessWidget], for widgets that always build the same way given a
// ///    particular configuration and ambient state.
/// Widgets themselves have no mutable state (all their fields must be final).
/// If you wish to associate mutable state with a widget, consider using a
/// [StatefulWidget], which creates a [State] object (via
/// [StatefulWidget.createState]) whenever it is inflated into an element and
/// incorporated into the tree.
///
/// A given widget can be included in the tree zero or more times. In particular
/// a given widget can be placed in the tree multiple times. Each time a widget
/// is placed in the tree, it is inflated into an [Element], which means a
/// widget that is incorporated into the tree multiple times will be inflated
/// multiple times.
///
/// The [key] property controls how one widget replaces another widget in the
/// tree. If the [runtimeType] and [key] properties of the two widgets are
/// [operator==], respectively, then the new widget replaces the old widget by
/// updating the underlying element (i.e., by calling [Element.update] with the
/// new widget). Otherwise, the old element is removed from the tree, the new
/// widget is inflated into an element, and the new element is inserted into the
/// tree.
///
/// See also:
///
///  * [StatefulWidget] and [State], for widgets that can build differently
///    several times over their lifetime.
///  * [InheritedWidget], for widgets that introduce ambient state that can
///    be read by descendant widgets.
///  * [StatelessWidget], for widgets that always build the same way given a
///    particular configuration and ambient state.
///
/// /// Widgets themselves have no mutable state (all their fields must be final).
// /// If you wish to associate mutable state with a widget, consider using a
// /// [StatefulWidget], which creates a [State] object (via
// /// [StatefulWidget.createState]) whenever it is inflated into an element and
// /// incorporated into the tree.
// ///
// /// A given widget can be included in the tree zero or more times. In particular
// /// a given widget can be placed in the tree multiple times. Each time a widget
// /// is placed in the tree, it is inflated into an [Element], which means a
// /// widget that is incorporated into the tree multiple times will be inflated
// /// multiple times.
// ///
// /// The [key] property controls how one widget replaces another widget in the
// /// tree. If the [runtimeType] and [key] properties of the two widgets are
// /// [operator==], respectively, then the new widget replaces the old widget by
// /// updating the underlying element (i.e., by calling [Element.update] with the
// /// new widget). Otherwise, the old element is removed from the tree, the new
// /// widget is inflated into an element, and the new element is inserted into the
// /// tree.
// ///
// /// See also:
// ///
// ///  * [StatefulWidget] and [State], for widgets that can build differently
// ///    several times over their lifetime.
// ///  * [InheritedWidget], for widgets that introduce ambient state that can
// ///    be read by descendant widgets.
// ///  * [StatelessWidget], for widgets that always build the same way given a
// ///    particular configuration and ambient state.
/// Widgets themselves have no mutable state (all their fields must be final).
/// If you wish to associate mutable state with a widget, consider using a
/// [StatefulWidget], which creates a [State] object (via
/// [StatefulWidget.createState]) whenever it is inflated into an element and
/// incorporated into the tree.
///
/// A given widget can be included in the tree zero or more times. In particular
/// a given widget can be placed in the tree multiple times. Each time a widget
/// is placed in the tree, it is inflated into an [Element], which means a
/// widget that is incorporated into the tree multiple times will be inflated
/// multiple times.
///
/// The [key] property controls how one widget replaces another widget in the
/// tree. If the [runtimeType] and [key] properties of the two widgets are
/// [operator==], respectively, then the new widget replaces the old widget by
/// updating the underlying element (i.e., by calling [Element.update] with the
/// new widget). Otherwise, the old element is removed from the tree, the new
/// widget is inflated into an element, and the new element is inserted into the
/// tree.
///
/// See also:
///
///  * [StatefulWidget] and [State], for widgets that can build differently
///    several times over their lifetime.
///  * [InheritedWidget], for widgets that introduce ambient state that can
///    be read by descendant widgets.
///  * [StatelessWidget], for widgets that always build the same way given a
///    particular configuration and ambient state.
///    /// Widgets themselves have no mutable state (all their fields must be final).
// /// If you wish to associate mutable state with a widget, consider using a
// /// [StatefulWidget], which creates a [State] object (via
// /// [StatefulWidget.createState]) whenever it is inflated into an element and
// /// incorporated into the tree.
// ///
// /// A given widget can be included in the tree zero or more times. In particular
// /// a given widget can be placed in the tree multiple times. Each time a widget
// /// is placed in the tree, it is inflated into an [Element], which means a
// /// widget that is incorporated into the tree multiple times will be inflated
// /// multiple times.
// ///
// /// The [key] property controls how one widget replaces another widget in the
// /// tree. If the [runtimeType] and [key] properties of the two widgets are
// /// [operator==], respectively, then the new widget replaces the old widget by
// /// updating the underlying element (i.e., by calling [Element.update] with the
// /// new widget). Otherwise, the old element is removed from the tree, the new
// /// widget is inflated into an element, and the new element is inserted into the
// /// tree.
// ///
// /// See also:
// ///
// ///  * [StatefulWidget] and [State], for widgets that can build differently
// ///    several times over their lifetime.
// ///  * [InheritedWidget], for widgets that introduce ambient state that can
// ///    be read by descendant widgets.
// ///  * [StatelessWidget], for widgets that always build the same way given a
// ///    particular configuration and ambient state.
/// Widgets themselves have no mutable state (all their fields must be final).
/// If you wish to associate mutable state with a widget, consider using a
/// [StatefulWidget], which creates a [State] object (via
/// [StatefulWidget.createState]) whenever it is inflated into an element and
/// incorporated into the tree.
///
/// A given widget can be included in the tree zero or more times. In particular
/// a given widget can be placed in the tree multiple times. Each time a widget
/// is placed in the tree, it is inflated into an [Element], which means a
/// widget that is incorporated into the tree multiple times will be inflated
/// multiple times.
///
/// The [key] property controls how one widget replaces another widget in the
/// tree. If the [runtimeType] and [key] properties of the two widgets are
/// [operator==], respectively, then the new widget replaces the old widget by
/// ///    build a widget, a [State.setState] call would require Flutter to entirely
// ///    rebuild the returned wrapping widget. If a [Widget] was used instead,
// ///    Flutter would be able to efficiently re-render only those parts that
// ///    really need to be updated. Even better, if the created widget is `const`,
// ///    Flutter would short-circuit most of the rebuild work.
// ///
// ///  * Avoid changing the depth of any created subtrees or changing the type of
// ///    any widgets in the subtree. For example, rather than returning either the
// ///    child or the child wrapped in an [IgnorePointer], always wrap the child
// ///    widget in an [IgnorePointer] and control the [IgnorePointer.ignoring]
// ///    property. This is because changing the depth of the subtree requires
// ///    rebuilding, laying out, and painting the entire subtree, whereas just
// ///    changing the property will require the least possible change to the
// ///    render tree (in the case of [IgnorePointer], for example, no layout or
// ///    repaint is necessary at all).
// ///
// ///  * If the depth must be changed for some reason, consider wrapping the
// ///    common parts of the subtrees in widgets that have a [GlobalKey] that
// ///    remains consistent for the life of the stateful widget. (The
// ///    [KeyedSubtree] widget may be useful for this purpose if no other widget
// ///    can conveniently be assigned the key.)
// ///
// /// {@tool snippet}
// ///
// /// This is a skeleton of a stateful widget subclass called `YellowBird`.
// ///
// /// In this example. the [State] has no actual state. State is normally
// /// represented as private member fields. Also, normally widgets have more
// /// constructor arguments, each of which corresponds to a `final` property.
// ///
// /// ```dart
// /// class YellowBird extends StatefulWidget {
// ///   const YellowBird({ Key? key }) : super(key: key);
// ///
// ///   @override
// ///   State<YellowBird> createState() => _YellowBirdState();
// /// }
// ///
// /// class _YellowBirdState extends State<YellowBird> {
// ///   @override
// ///   Widget build(BuildContext context) {
// ///     return Container(color: const Color(0xFFFFE306));
// ///   }
// /// }
// /// ```
// /// {@end-tool}
// /// {@tool snippet}
// ///
// /// This example shows the more generic widget `Bird` which can be given a
// /// color and a child, and which has some internal state with a method that
// /// can be called to mutate it:
// ///
// /// ```dart
// /// class Bird extends StatefulWidget {
// ///   const Bird({
// ///     Key? key,
// ///     this.color = const Color(0xFFFFE306),
// ///     this.child,
// ///   }) : super(key: key);
// ///
// ///   final Color color;
// ///   final Widget? child;
// ///
// ///   @override
// ///   State<Bird> createState() => _BirdState();
// /// }
// ///
// /// class _BirdState extends State<Bird> {
// ///   double _size = 1.0;
// ///
// ///   void grow() {
// ///     setState(() { _size += 0.1; });
// ///   }
// ///
// ///   @override
// ///   Widget build(BuildContext context) {
// ///     return Container(
// ///       color: widget.color,
// ///       transform: Matrix4.diagonal3Values(_size, _size, 1.0),
// ///       child: widget.child,
// ///     );
// ///   }
// /// }
// /// ```
// /// {@end-tool}
// ///
// /// By convention, widget constructors only use named arguments. Also by
// /// convention, the first argument is [key], and the last argument is `child`,
// /// `children`, or the equivalent.
// ///
// /// See also:
// ///
// ///  * [State], where the logic behind a [StatefulWidget] is hosted.
// ///  * [StatelessWidget], for widgets that always build the same way given a
// ///    particular configuration and ambient state.
// ///  * [InheritedWidget], for widgets that introduce ambient state that can
// ///    be read by descendant widgets.
/// updating the underlying element (i.e., by calling [Element.update] with the
/// new widget). Otherwise, the old element is removed from the tree, the new
/// widget is inflated into an element, and the new element is inserted into the
/// tree.
///
/// See also:
///
///  * [StatefulWidget] and [State], for widgets that can build differently
///    several times over their lifetime.
///  * [InheritedWidget], for widgets that introduce ambient state that can
///    be read by descendant widgets.
///  * [StatelessWidget], for widgets that always build the same way given a
///    particular configuration and ambient state.
///

  }

  searchTypeView() {
    return Padding(
      padding:
      const EdgeInsets.only(top: 16.0, left: 20, right: 20, bottom: 16),
      child: Row(
        children: [
          GestureDetector(
            onTap: () {

            },
            child: Container(
              height: 32,
              padding: EdgeInsets.fromLTRB(12, 8, 12, 8),
              decoration: BoxDecoration(
                  gradient: LinearGradient(
                      colors:
                          [
                        Colors.white,
                        Colors.white,
                        Colors.white,
                        Colors.white,
                      ]),
                  borderRadius: BorderRadius.circular(16)),
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Image.asset(
                    'assets/images/menu.png',
                    height: 13,
                  ),
                  SizedBox(
                    width: 4,
                  ),
                  const Text(
                    'Posts',
                    style: TextStyle(
                        color: Colors.black,
                        fontSize: 13,
                        fontWeight: FontWeight.bold),
                  )
                ],
              ),
            ),
          ),
          SizedBox(
            width: 8,
          ),
          GestureDetector(
            onTap: () {

            },
            child: Container(
              height: 32,
              padding: const EdgeInsets.fromLTRB(12, 8, 12, 8),
              decoration: BoxDecoration(
                gradient: LinearGradient(
                    colors: [
                      Colors.white,
                      Colors.white,
                      Colors.white,
                      Colors.white,
                    ]),
                borderRadius: BorderRadius.circular(16),
              ),
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Image.asset(
                    'assets/images/gallerys.png',
                    height: 12,
                  ),
                  const SizedBox(
                    width: 4,
                  ),
                  const Text(
                    'Photos',
                    style: TextStyle(
                        color: Colors.black,
                        fontSize: 12,
                        fontWeight: FontWeight.bold),
                  )
                ],
              ),
            ),
          ),
          SizedBox(
            width: 8,
          ),
          GestureDetector(
            onTap: () {
            },
            child: Container(
              height: 32,
              padding: const EdgeInsets.fromLTRB(12, 8, 12, 8),
              decoration: BoxDecoration(
                  color: Colors.white, borderRadius: BorderRadius.circular(16)),
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Image.asset(
                    'assets/images/friends.png',
                    height: 12,
                  ),
                  const SizedBox(
                    width: 4,
                  ),
                  Text(
                    '',
                    style: TextStyle(
                        color: Colors.black,
                        fontSize: 12,
                        fontWeight: FontWeight.bold),
                  )
                ],
              ),
            ),
          )
        ],
      ),
    );
  }



